gnutls_transport_set_errno_function(3)

NAME
gnutls_transport_set_errno_function - API function

SYNOPSIS
#include <gnutls/gnutls.h>

void gnutls_transport_set_errno_function(gnutls_session_t session, gnutls_errno_func errno_func);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t type.

gnutls_errno_func errno_func
    a callback function similar to write()

DESCRIPTION
This is the function where you set a function to retrieve errno after a failed push or pull operation.

 errno_func is of the form, int (*gnutls_errno_func)(gnutls_transport_ptr_t); and should return the errno.

SINCE
2.12.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2016 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/